# -*- encoding: utf-8 -*-
# stub: ronn 0.8.0 ruby lib

Gem::Specification.new do |s|
  s.name = "ronn".freeze
  s.version = "0.8.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/apjanke/ronn-ng/issues", "changelog_uri" => "https://github.com/apjanke/ronn-ng/blob/master/CHANGES", "source_code_uri" => "https://github.com/apjanke/ronn-ng" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Andrew Janke".freeze]
  s.date = "2020-07-19"
  s.description = "Ronn-NG builds manuals in HTML and Unix man page format from Markdown.".freeze
  s.email = "floss@apjanke.net".freeze
  s.executables = ["ronn".freeze]
  s.extra_rdoc_files = ["AUTHORS".freeze, "LICENSE.txt".freeze]
  s.files = ["AUTHORS".freeze, "CHANGES".freeze, "Gemfile".freeze, "INSTALLING.md".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "bin/ronn".freeze, "completion/bash/ronn".freeze, "completion/zsh/_ronn".freeze, "config.ru".freeze, "lib/ronn.rb".freeze, "lib/ronn/document.rb".freeze, "lib/ronn/index.rb".freeze, "lib/ronn/roff.rb".freeze, "lib/ronn/server.rb".freeze, "lib/ronn/template.rb".freeze, "lib/ronn/template/80c.css".freeze, "lib/ronn/template/dark.css".freeze, "lib/ronn/template/darktoc.css".freeze, "lib/ronn/template/default.html".freeze, "lib/ronn/template/man.css".freeze, "lib/ronn/template/print.css".freeze, "lib/ronn/template/screen.css".freeze, "lib/ronn/template/toc.css".freeze, "lib/ronn/utils.rb".freeze, "man/index.html".freeze, "man/index.txt".freeze, "man/ronn-format.7".freeze, "man/ronn-format.7.ronn".freeze, "man/ronn.1".freeze, "man/ronn.1.ronn".freeze, "ronn-ng.gemspec".freeze, "test/angle_bracket_syntax.html".freeze, "test/angle_bracket_syntax.ronn".freeze, "test/backticks.html".freeze, "test/backticks.ronn".freeze, "test/basic_document.html".freeze, "test/basic_document.ronn".freeze, "test/circumflexes.ronn".freeze, "test/code_blocks.7.ronn".freeze, "test/contest.rb".freeze, "test/custom_title_document.html".freeze, "test/custom_title_document.ronn".freeze, "test/definition_list_syntax.html".freeze, "test/definition_list_syntax.roff".freeze, "test/definition_list_syntax.ronn".freeze, "test/dots_at_line_start_test.roff".freeze, "test/dots_at_line_start_test.ronn".freeze, "test/ellipses.roff".freeze, "test/ellipses.ronn".freeze, "test/entity_encoding_test.html".freeze, "test/entity_encoding_test.roff".freeze, "test/entity_encoding_test.ronn".freeze, "test/index.txt".freeze, "test/markdown_syntax.html".freeze, "test/markdown_syntax.roff".freeze, "test/markdown_syntax.ronn".freeze, "test/middle_paragraph.html".freeze, "test/middle_paragraph.roff".freeze, "test/middle_paragraph.ronn".freeze, "test/missing_spaces.roff".freeze, "test/missing_spaces.ronn".freeze, "test/nested_list.ronn".freeze, "test/nested_list_with_code.html".freeze, "test/nested_list_with_code.roff".freeze, "test/nested_list_with_code.ronn".freeze, "test/page.with.periods.in.name.5.ronn".freeze, "test/pre_block_with_quotes.roff".freeze, "test/pre_block_with_quotes.ronn".freeze, "test/section_reference_links.html".freeze, "test/section_reference_links.roff".freeze, "test/section_reference_links.ronn".freeze, "test/tables.ronn".freeze, "test/test_ronn.rb".freeze, "test/test_ronn_document.rb".freeze, "test/test_ronn_index.rb".freeze, "test/titleless_document.html".freeze, "test/titleless_document.ronn".freeze, "test/underline_spacing_test.roff".freeze, "test/underline_spacing_test.ronn".freeze]
  s.homepage = "https://github.com/apjanke/ronn-ng".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--line-numbers".freeze, "--inline-source".freeze, "--title".freeze, "Ronn".freeze]
  s.rubygems_version = "2.7.6.2".freeze
  s.summary = "Builds man pages from Markdown".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<mustache>.freeze, [">= 0.7.0"])
      s.add_runtime_dependency(%q<nokogiri>.freeze, [">= 1.9.0"])
      s.add_runtime_dependency(%q<rdiscount>.freeze, [">= 2.0.7"])
      s.add_development_dependency(%q<rack>.freeze, [">= 2.0.6", "~> 2.0"])
      s.add_development_dependency(%q<rake>.freeze, [">= 12.3.0", "~> 12.3"])
      s.add_development_dependency(%q<rubocop>.freeze, [">= 0.57.1", "~> 0.60"])
      s.add_development_dependency(%q<sinatra>.freeze, [">= 2.0.0", "~> 2.0"])
      s.add_development_dependency(%q<test-unit>.freeze, [">= 3.2.7", "~> 3.2"])
    else
      s.add_dependency(%q<mustache>.freeze, [">= 0.7.0"])
      s.add_dependency(%q<nokogiri>.freeze, [">= 1.9.0"])
      s.add_dependency(%q<rdiscount>.freeze, [">= 2.0.7"])
      s.add_dependency(%q<rack>.freeze, [">= 2.0.6", "~> 2.0"])
      s.add_dependency(%q<rake>.freeze, [">= 12.3.0", "~> 12.3"])
      s.add_dependency(%q<rubocop>.freeze, [">= 0.57.1", "~> 0.60"])
      s.add_dependency(%q<sinatra>.freeze, [">= 2.0.0", "~> 2.0"])
      s.add_dependency(%q<test-unit>.freeze, [">= 3.2.7", "~> 3.2"])
    end
  else
    s.add_dependency(%q<mustache>.freeze, [">= 0.7.0"])
    s.add_dependency(%q<nokogiri>.freeze, [">= 1.9.0"])
    s.add_dependency(%q<rdiscount>.freeze, [">= 2.0.7"])
    s.add_dependency(%q<rack>.freeze, [">= 2.0.6", "~> 2.0"])
    s.add_dependency(%q<rake>.freeze, [">= 12.3.0", "~> 12.3"])
    s.add_dependency(%q<rubocop>.freeze, [">= 0.57.1", "~> 0.60"])
    s.add_dependency(%q<sinatra>.freeze, [">= 2.0.0", "~> 2.0"])
    s.add_dependency(%q<test-unit>.freeze, [">= 3.2.7", "~> 3.2"])
  end
end
